json-c 0.15

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros | Functions
json_c_version.h File Reference

Methods for retrieving the json-c version. More...

## Macros
#define | JSON_C_MAJOR_VERSION 0
#define | JSON_C_MINOR_VERSION 15
#define | JSON_C_MICRO_VERSION 0
#define | JSON_C_VERSION_NUM ((JSON_C_MAJOR_VERSION << 16) | (JSON_C_MINOR_VERSION << 8) | JSON_C_MICRO_VERSION)
#define | JSON_C_VERSION "0.15"
#define | JSON_EXPORT extern

## Functions
JSON_EXPORT const char * | json_c_version (void)
JSON_EXPORT int | json_c_version_num (void)

## Detailed Description

Methods for retrieving the json-c version.

## Macro Definition Documentation

#define JSON_C_MAJOR_VERSION 0

#define JSON_C_MICRO_VERSION 0

#define JSON_C_MINOR_VERSION 15

#define JSON_C_VERSION "0.15"

#define JSON_C_VERSION_NUM ((JSON_C_MAJOR_VERSION << 16) | (JSON_C_MINOR_VERSION << 8) | JSON_C_MICRO_VERSION)

#define JSON_EXPORT extern

## Function Documentation

JSON_EXPORT const char* json_c_version | ( | void |  | ) |

See Also
  JSON_C_VERSION

Returns
  the version of the json-c library as a string

JSON_EXPORT int json_c_version_num | ( | void |  | ) |

The json-c version encoded into an int, with the low order 8 bits being the micro version, the next higher 8 bits being the minor version and the next higher 8 bits being the major version. For example, 7.12.99 would be 0x00070B63.

See Also
  JSON_C_VERSION_NUM

Returns
  the version of the json-c library as an int